package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumRentContractAdjustRatioWay {

    RATIO(1, "按比例"),
    MONEY(2, "按金额"),
    CUSTOM(3, "自定义"),;

    public static EnumRentContractAdjustRatioWay getEnum(Integer code) {
        for (EnumRentContractAdjustRatioWay value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumRentContractAdjustRatioWay(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
